//
//  MBIMErrorResponse.m
//  kordophoned
//
//  Created by James Magahern on 8/3/22.
//  Copyright © 2022 James Magahern. All rights reserved.
//

#import "MBIMErrorResponse.h"

@implementation MBIMErrorResponse {
    int _status;
}

- (instancetype)initWithErrorCode:(int)httpErrorCode
{
    if (self = [super initWithData:nil]) {
        _status = httpErrorCode;
    }
    
    return self;
}

- (instancetype)initWithErrorCode:(int)httpErrorCode message:(NSString *)message
{
    if (self = [super initWithData:[message dataUsingEncoding:NSUTF8StringEncoding]]) {
        _status = httpErrorCode;
    }
    
    return self;
}

- (NSInteger)status
{
    return _status;
}

@end
